[DEFAULT]
tags = mtg webrtc
subsuite = media
scheme = https
support-files =
  head.js
  dataChannel.js
  mediaStreamPlayback.js
  network.js
  nonTrickleIce.js
  pc.js
  stats.js
  templates.js
  test_enumerateDevices_iframe.html
  test_getUserMedia_permission_iframe.html
  NetworkPreparationChromeScript.js
  blacksilence.js
  turnConfig.js
  sdpUtils.js
  addTurnsSelfsignedCert.js
  parser_rtp.js
  peerconnection_audio_forced_sample_rate.js
  iceTestUtils.js
  simulcast.js
  helpers_from_wpt/sdp.js
  !/dom/canvas/test/captureStream_common.js
  !/dom/canvas/test/webgl-mochitest/webgl-util.js
  !/dom/media/test/manifest.js
  !/dom/media/test/seek.webm
  !/dom/media/test/gizmo.mp4
  !/docshell/test/navigation/blank.html
prefs =
  focusmanager.testmode=true # emulate focus
  privacy.partition.network_state=false
  network.proxy.allow_hijacking_localhost=true
  media.devices.enumerate.legacy.enabled=false

[test_peerConnection_addAudioTrackToExistingVideoStream.html]
[test_peerConnection_addDataChannel.html]
[test_peerConnection_addDataChannelNoBundle.html]
[test_peerConnection_addSecondAudioStream.html]
[test_peerConnection_addSecondAudioStreamNoBundle.html]
[test_peerConnection_addSecondVideoStream.html]
[test_peerConnection_addSecondVideoStreamNoBundle.html]
[test_peerConnection_addtrack_removetrack_events.html]
[test_peerConnection_answererAddSecondAudioStream.html]
[test_peerConnection_audioChannels.html]
[test_peerConnection_audioCodecs.html]
[test_peerConnection_audioContributingSources.html]
[test_peerConnection_audioRenegotiationInactiveAnswer.html]
[test_peerConnection_audioSynchronizationSources.html]
[test_peerConnection_audioSynchronizationSourcesUnidirectional.html]
[test_peerConnection_basicAudio.html]
[test_peerConnection_basicAudioDynamicPtMissingRtpmap.html]
[test_peerConnection_basicAudioNATRelay.html]
skip-if =
    toolkit == 'android' # websockets don't work on android (bug 1266217)
scheme=http
[test_peerConnection_basicAudioNATRelayTCP.html]
skip-if =
    toolkit == 'android' # websockets don't work on android (bug 1266217)
scheme=http
[test_peerConnection_basicAudioNATRelayTCPWithStun300.html]
skip-if =
    toolkit == 'android' # websockets don't work on android (bug 1266217)
scheme=http
[test_peerConnection_basicAudioNATRelayTLS.html]
skip-if = toolkit == 'android' # websockets don't work on android (bug 1266217)
scheme=http
[test_peerConnection_basicAudioNATRelayWithStun300.html]
skip-if =
    toolkit == 'android' # websockets don't work on android (bug 1266217)
scheme=http
[test_peerConnection_basicAudioNATSrflx.html]
skip-if =
    toolkit == 'android' # websockets don't work on android (bug 1266217)
scheme=http
[test_peerConnection_basicAudioNoisyUDPBlock.html]
skip-if =
    toolkit == 'android' # websockets don't work on android (bug 1266217)
scheme=http
[test_peerConnection_basicAudioPcmaPcmuOnly.html]
[test_peerConnection_basicAudioRelayPolicy.html]
skip-if =
    toolkit == 'android' # websockets don't work on android (bug 1266217)
scheme=http
[test_peerConnection_basicAudioRequireEOC.html]
[test_peerConnection_basicAudioVerifyRtpHeaderExtensions.html]
[test_peerConnection_basicAudioVideo.html]
[test_peerConnection_basicAudioVideoCombined.html]
[test_peerConnection_basicAudioVideoNoBundle.html]
[test_peerConnection_basicAudioVideoNoBundleNoRtcpMux.html]
[test_peerConnection_basicAudioVideoNoRtcpMux.html]
[test_peerConnection_basicAudioVideoTransceivers.html]
[test_peerConnection_basicAudioVideoVerifyExtmap.html]
[test_peerConnection_basicAudioVideoVerifyExtmapSendonly.html]
[test_peerConnection_basicAudioVideoVerifyTooLongMidFails.html]
[test_peerConnection_basicAudio_forced_higher_rate.html]
[test_peerConnection_basicAudio_forced_lower_rate.html]
[test_peerConnection_basicH264Video.html]
skip-if =
    toolkit == 'android' && is_emulator  # Bug 1355786, No h264 support on android emulator
[test_peerConnection_basicScreenshare.html]
skip-if = toolkit == 'android' # no screenshare on android
[test_peerConnection_basicVideo.html]
[test_peerConnection_basicVideoVerifyRtpHeaderExtensions.html]
[test_peerConnection_basicWindowshare.html]
skip-if = toolkit == 'android' # no screenshare on android
[test_peerConnection_bug1013809.html]
[test_peerConnection_bug1042791.html]
skip-if = (toolkit == 'android' && is_emulator) # Bug 1355786, No h264 support on android emulator
[test_peerConnection_bug1227781.html]
scheme=http
[test_peerConnection_bug1512281.html]
fail-if = 1
[test_peerConnection_bug1773067.html]
[test_peerConnection_bug822674.html]
scheme=http
[test_peerConnection_bug825703.html]
scheme=http
[test_peerConnection_bug827843.html]
[test_peerConnection_bug834153.html]
scheme=http
[test_peerConnection_callbacks.html]
[test_peerConnection_captureStream_canvas_2d.html]
scheme=http
[test_peerConnection_captureStream_canvas_2d_noSSRC.html]
scheme=http
[test_peerConnection_captureStream_canvas_webgl.html]
scheme=http
[test_peerConnection_capturedVideo.html]
tags=capturestream
skip-if = toolkit == 'android' # android(Bug 1189784, timeouts on 4.3 emulator), Bug 1264340
[test_peerConnection_certificates.html]
[test_peerConnection_checkPacketDumpHook.html]
[test_peerConnection_close.html]
scheme=http
[test_peerConnection_closeDuringIce.html]
[test_peerConnection_codecNegotiationFailure.html]
[test_peerConnection_constructedStream.html]
skip-if = (os == "linux" && tsan) #Bug 1838736
[test_peerConnection_disabledVideoPreNegotiation.html]
[test_peerConnection_encodingsNegotiation.html]
[test_peerConnection_errorCallbacks.html]
scheme=http
[test_peerConnection_extmapRenegotiation.html]
skip-if = (os == "linux" && tsan) #Bug 1838736
[test_peerConnection_forwarding_basicAudioVideoCombined.html]
skip-if = toolkit == 'android'  # Bug 1189784
[test_peerConnection_gatherWithSetConfiguration.html]
skip-if =
    toolkit == 'android' # websockets don't work on android (bug 1266217)
scheme=http
[test_peerConnection_gatherWithStun300.html]
skip-if =
    toolkit == 'android' # websockets don't work on android (bug 1266217)
scheme=http
[test_peerConnection_gatherWithStun300IPv6.html]
skip-if =
    toolkit == 'android' # websockets don't work on android (bug 1266217)
    os == 'mac' # no ipv6 support on OS X testers (bug 1710706)
    os == 'win' # no ipv6 support on windows testers (bug 1710706)
scheme=http
[test_peerConnection_glean.html]
disabled = bug 1832459
[test_peerConnection_iceFailure.html]
skip-if = true # (Bug 1180388 for win, mac and linux), android(Bug 1189784), Bug 1180388
scheme=http
[test_peerConnection_insertDTMF.html]
[test_peerConnection_localReofferRollback.html]
[test_peerConnection_localRollback.html]
[test_peerConnection_maxFsConstraint.html]
[test_peerConnection_multiple_captureStream_canvas_2d.html]
scheme=http
[test_peerConnection_noTrickleAnswer.html]
[test_peerConnection_noTrickleOffer.html]
[test_peerConnection_noTrickleOfferAnswer.html]
[test_peerConnection_nonDefaultRate.html]
[test_peerConnection_offerRequiresReceiveAudio.html]
[test_peerConnection_offerRequiresReceiveVideo.html]
[test_peerConnection_offerRequiresReceiveVideoAudio.html]
[test_peerConnection_portRestrictions.html]
[test_peerConnection_promiseSendOnly.html]
[test_peerConnection_recordReceiveTrack.html]
skip-if = (os == "linux" && tsan) #Bug 1838736
[test_peerConnection_relayOnly.html]
disabled=bug 1612063 # test is racy
[test_peerConnection_remoteReofferRollback.html]
[test_peerConnection_remoteRollback.html]
[test_peerConnection_removeAudioTrack.html]
[test_peerConnection_removeThenAddAudioTrack.html]
[test_peerConnection_removeThenAddAudioTrackNoBundle.html]
[test_peerConnection_removeThenAddVideoTrack.html]
[test_peerConnection_removeThenAddVideoTrackNoBundle.html]
[test_peerConnection_removeVideoTrack.html]
[test_peerConnection_renderAfterRenegotiation.html]
scheme=http
[test_peerConnection_replaceNullTrackThenRenegotiateAudio.html]
[test_peerConnection_replaceNullTrackThenRenegotiateVideo.html]
[test_peerConnection_replaceTrack.html]
skip-if = (os == "linux" && tsan) #Bug 1838736
[test_peerConnection_replaceTrack_camera.html]
skip-if = toolkit == 'android' # Bug 1614460
[test_peerConnection_replaceTrack_disabled.html]
skip-if =
  toolkit == 'android'        # Bug 1614460
[test_peerConnection_replaceTrack_microphone.html]
[test_peerConnection_replaceVideoThenRenegotiate.html]
[test_peerConnection_restartIce.html]
[test_peerConnection_restartIceBadAnswer.html]
[test_peerConnection_restartIceLocalAndRemoteRollback.html]
[test_peerConnection_restartIceLocalAndRemoteRollbackNoSubsequentRestart.html]
[test_peerConnection_restartIceLocalRollback.html]
[test_peerConnection_restartIceLocalRollbackNoSubsequentRestart.html]
[test_peerConnection_restartIceNoBundle.html]
[test_peerConnection_restartIceNoBundleNoRtcpMux.html]
[test_peerConnection_restartIceNoRtcpMux.html]
[test_peerConnection_restrictBandwidthTargetBitrate.html]
[test_peerConnection_restrictBandwidthWithTias.html]
[test_peerConnection_rtcp_rsize.html]
skip-if = (os == "linux" && tsan) #Bug 1838736
[test_peerConnection_scaleResolution.html]
[test_peerConnection_scaleResolution_oldSetParameters.html]
[test_peerConnection_sender_and_receiver_stats.html]
skip-if = (os == "linux" && tsan) #Bug 1838736
[test_peerConnection_setLocalAnswerInHaveLocalOffer.html]
[test_peerConnection_setLocalAnswerInStable.html]
[test_peerConnection_setLocalOfferInHaveRemoteOffer.html]
[test_peerConnection_setParameters.html]
[test_peerConnection_setParameters_maxFramerate.html]
[test_peerConnection_setParameters_maxFramerate_oldSetParameters.html]
[test_peerConnection_setParameters_oldSetParameters.html]
[test_peerConnection_setParameters_scaleResolutionDownBy.html]
skip-if = (os == 'win' && processor == 'aarch64') # aarch64 due to bug 1537567
[test_peerConnection_setParameters_scaleResolutionDownBy_oldSetParameters.html]
skip-if = (os == 'win' && processor == 'aarch64') # aarch64 due to bug 1537567
[test_peerConnection_setRemoteAnswerInHaveRemoteOffer.html]
[test_peerConnection_setRemoteAnswerInStable.html]
[test_peerConnection_setRemoteOfferInHaveLocalOffer.html]
[test_peerConnection_simulcastAnswer.html]
skip-if = toolkit == 'android' # no simulcast support on android
[test_peerConnection_simulcastAnswer_lowResFirst.html]
skip-if = 
  toolkit == 'android' # no simulcast support on android
  os == "win" # Bug 1834147
[test_peerConnection_simulcastAnswer_lowResFirst_oldSetParameters.html]
skip-if =
  toolkit == 'android' # no simulcast support on android
  os == "win" # Bug 1831695 
[test_peerConnection_simulcastAnswer_oldSetParameters.html]
skip-if = toolkit == 'android' # no simulcast support on android
[test_peerConnection_simulcastOddResolution.html]
skip-if = toolkit == 'android' # no simulcast support on android
[test_peerConnection_simulcastOddResolution_oldSetParameters.html]
skip-if = toolkit == 'android' # no simulcast support on android
[test_peerConnection_simulcastOffer.html]
skip-if = toolkit == 'android' # no simulcast support on android
[test_peerConnection_simulcastOffer_lowResFirst.html]
skip-if = 
  toolkit == 'android' # no simulcast support on android
  os == "win" # Bug 1834009
[test_peerConnection_simulcastOffer_lowResFirst_oldSetParameters.html]
skip-if = 
  toolkit == 'android' # no simulcast support on android
  os == "win" # Bug 1833967
[test_peerConnection_simulcastOffer_oldSetParameters.html]
skip-if = toolkit == 'android' # no simulcast support on android
[test_peerConnection_stats.html]
skip-if = 
  os == "linux" && tsan #Bug 1838736
  win11_2009 # Bug 1780717
[test_peerConnection_stats_jitter.html]
skip-if = tsan # Bug 1672590, TSan is just too slow to pass this test
[test_peerConnection_stats_oneway.html]
[test_peerConnection_stats_relayProtocol.html]
skip-if = toolkit == 'android'
  socketprocess_e10s # android(Bug 1189784, timeouts on 4.3 emulator, Bug 1373858, Bug 1521117)
scheme=http
[test_peerConnection_stereoFmtpPref.html]
[test_peerConnection_syncSetDescription.html]
[test_peerConnection_telephoneEventFirst.html]
[test_peerConnection_threeUnbundledConnections.html]
[test_peerConnection_throwInCallbacks.html]
[test_peerConnection_toJSON.html]
scheme=http
[test_peerConnection_trackDisabling.html]
skip-if = toolkit == 'android' # Bug 1614460
[test_peerConnection_trackDisabling_clones.html]
[test_peerConnection_trackless_sender_stats.html]
skip-if = (os == "linux" && tsan) #Bug 1838736
[test_peerConnection_twoAudioStreams.html]
[test_peerConnection_twoAudioTracksInOneStream.html]
[test_peerConnection_twoAudioVideoStreams.html]
skip-if = (os == "linux" && tsan) #Bug 1838736
[test_peerConnection_twoAudioVideoStreamsCombined.html]
skip-if = (toolkit == 'android') || (os == 'linux' && asan) # android(Bug 1189784), Bug 1480942 for Linux asan
  (os == "linux" && tsan) #Bug 1838736
[test_peerConnection_twoAudioVideoStreamsCombinedNoBundle.html]
skip-if =
  (toolkit == 'android') # Bug 1189784
  (os == 'linux' && asan) # Bug 1480942
  (os == 'win' && processor == 'aarch64') # Bug 1777081
  (os == "linux" && tsan) #Bug 1838736
[test_peerConnection_twoVideoStreams.html]
[test_peerConnection_twoVideoTracksInOneStream.html]
[test_peerConnection_verifyAudioAfterRenegotiation.html]
skip-if =
  os == "android" && processor == "x86_64" && !debug # Bug 1783287
[test_peerConnection_verifyDescriptions.html]
[test_peerConnection_verifyVideoAfterRenegotiation.html]
[test_peerConnection_videoCodecs.html]
skip-if =
  toolkit == 'android' # android(Bug 1614460)
  win10_2004 && !debug # Bug 1777082
[test_peerConnection_videoRenegotiationInactiveAnswer.html]
[test_peerConnection_webAudio.html]
tags = webaudio webrtc
scheme=http
[test_selftest.html]
# Bug 1227781: Crash with bogus TURN server.
scheme=http
